## Class TValueTriggeredCallback

Description

TValueTriggeredCallback Class

Observes the value with PropertyName of a control with ControlID. Changes to the observed property value will trigger a new callback request. The property value is checked for changes everyInterval seconds.

A DecayRate can be set to increase the polling interval linearly if no changes are observed. Once a change is observe, the polling interval is reset to the original value.

- since: 3.1
- version: $Id: TValueTriggeredCallback.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TValueTriggeredCallback.php (line 30)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCallback
                |
                --TTriggeredCallback
                   |
                   --TValueTriggeredCallback

Method Summary
string getClientClassName ()
float getDecayRate ()
float getInterval ()
string getPropertyName ()
array getTriggerOptions ()
void render (THtmlWriter $writer)
void setDecayRate (float $value)
void setInterval (float $value)
void setPropertyName (string $value)
Methods
getClientClassName (line 114)

- return: corresponding javascript class name for TEventTriggeredCallback.
- access: protected

string getClientClassName ()
getDecayRate (line 71)

Gets the decay rate between callbacks. Default is 0;

- return: decay rate between callbacks.
- access: public

float getDecayRate ()
getInterval (line 62)

- return: polling interval, 1 second default.
- access: public

float getInterval ()
getPropertyName (line 35)

- return: The control property name to observe value changes.
- access: public

string getPropertyName ()
getTriggerOptions (line 91)

- return: list of timer options for client-side.
- access: protected

array getTriggerOptions ()

Redefinition of:

TTriggeredCallback::getTriggerOptions()

render (line 104)

Registers the javascript code for initializing the active control.

- access: public

void render (THtmlWriter $writer)

- THtmlWriter $writer: the renderer.

Redefinition of:

TControl::render()
  Renders the control.

setDecayRate (line 80)

Sets the decay rate between callback. Default is 0;

- access: public

void setDecayRate (float $value)

- float $value: decay rate between callbacks.

setInterval (line 54)

Sets the polling interval in seconds to observe property changes.

Default is 1 second.

- access: public

void setInterval (float $value)

- float $value: polling interval in seconds.

setPropertyName (line 44)

Sets the control property name to observe value changes that fires the callback request.

- access: public

void setPropertyName (string $value)

- string $value: The control property name to observe value changes.

#### Inherited Methods

Inherited From TTriggeredCallback

> TTriggeredCallback::getControlID()
> TTriggeredCallback::getTargetControl()
> TTriggeredCallback::getTriggerOptions()
> TTriggeredCallback::setControlID()

Inherited From TCallback

> TCallback::__construct()
> TCallback::getActiveControl()
> TCallback::getClientSide()
> TCallback::onCallback()
> TCallback::raiseCallbackEvent()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:36:42 -0400 by phpDocumentor 1.3.0RC4